// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UMeshComponent.h"
#include "Components/MeshComponent.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UMeshComponent::SCW_UMeshComponent(UMeshComponent* InMeshComponent) : SCW_UPrimitiveComponent(InMeshComponent), MeshComponent(InMeshComponent)
{

}

UMeshComponent* SCW_UMeshComponent::ToUMeshComponent() const
{
	return MeshComponent;
}

ISCW_UMeshComponentPtr SCW_UMeshComponent::ToUMeshComponentPtr()
{
	return GetSharedThisAs<SCW_UMeshComponent>();
}

ISCW_UMeshComponentConstPtr SCW_UMeshComponent::ToUMeshComponentPtr() const
{
	return GetSharedThisAs<SCW_UMeshComponent>();
}